为什么即使安装了Jupyter Notebook(Python 3.6),也无法在我的Jupyter Notebook中导入utils?

用户名

我已经使用conda安装了软件包utils,但是当我尝试将其导入Jupyter Notebook时,出现异常:

import utils
---------------------------------------------------------------------------
ModuleNotFoundError                       Traceback (most recent call last)
<ipython-input-4-32411ba4e9a6> in <module>()
----> 1 import utils

ModuleNotFoundError: No module named 'utils'

如果这次我尝试使用pip再次安装,则会收到预期的消息:

(base) C:\Users\Alienware\Documents>pip install python-utils
Requirement already satisfied: python-utils in c:\programdata\anaconda3\lib\site-packages (2.3.0)
Requirement already satisfied: six in c:\programdata\anaconda3\lib\site-packages (from python-utils) (1.10.0)

导入其他模块没有任何问题(例如Featuretools)。

法汉

您已安装python-utils但正在导入utils这是两个不同的程序包。如果要使用该utils软件包,请使用进行安装pip install utils否则,import python_utils如果要使用该软件包,请使用。

本文收集自互联网,转载请注明来源。

如有侵权,请联系 [email protected] 删除。

编辑于
0

我来说两句

0 条评论
登录 后参与评论

相关文章

无法在Jupyter Notebook的Python3环境中导入已安装的软件包

在Jupyter Notebook中导入pyplot

无法在Jupyter Notebook中导入Tensorflow

无法在Jupyter Notebook中导入Scipy

无法在Jupyter Notebook中导入Tensorflow

如何在Jupyter Notebook中导入python .py文件

如何在Jupyter Notebook中导入Pyperclip?

在Jupyter Notebook中导入模块-路径

无法在Jupyter Notebook中创建Python 3 Notebook

为什么我不能在Jupyter Notebook上导入geopy.distance.vincenty()?我安装了geopy 2.0.0

Jupyter Notebook - Python 3 内核

spacy ImportError:无法在 Jupyter Notebook 中导入名称 Deque

Python3:无法将 CSV 文件导入我的 Jupyter Notebook -- 请参阅下面的特定错误和屏幕截图

即使可以在Python控制台中导入nltk,也无法在Jupyter中导入

字典错误-Jupyter Notebook-Python 3

在从任何目录启动的 Jupyter Notebook 中导入 pyspark

在 jupyter-notebook 中导入 tensorflow 时发生错误

在HDInsight上的Jupyter Notebook中导入自己的模块

在Jupyter Notebook中导入TensorFlow GPU时出错

在iPython / Jupyter Notebook中安装多个Python 3内核

无法在Jupyter Notebook中导入或安装熊猫配置文件

python ZipImportError:仅当在Jupyter Notebook中导入时本地文件头错误

将 python 文件导入 Jupyter Notebook

使用Jupyter Notebook(Python)导入wordcloud

将Python模块导入Jupyter Notebook

即使我安装了pip3,也无法导入NumPy

即使安装后也无法在ubuntu的python-2.7.12中导入z3

在命令行上安装了一个包,可以通过命令行导入它。在 jupyter notebook 中导入时收到 ModuleNotFoundError

即使安装了Anaconda 2.4(python 3.5),也无法在iPython / Spyder中导入包(pytables)